<!DOCTYPE html>
<html lang="en">
<head>
    <title id='Description'>This example illustrates the Grid filtering feature. Enter some data into the Filter Row.</title>
    <link href="../../jqwidgets/styles/jqx.base.css" rel="stylesheet" type="text/css" />
    <meta content="IE=edge,chrome=1" http-equiv="X-UA-Compatible" />
    <meta content="width=device-width, initial-scale=1 maximum-scale=1 minimum-scale=1" name="viewport" />
    <script src="../../jqwidgets/jquery-1.11.1.min.js" type="text/javascript"></script>
    <script src="../../jqwidgets/jqxcore.js" type="text/javascript"></script>
    <script src="../../jqwidgets/jqxdata.js" type="text/javascript"></script>
    <script src="../../jqwidgets/jqxbuttons.js" type="text/javascript"></script>
    <script src="../../jqwidgets/jqxscrollbar.js" type="text/javascript"></script>
    <script src="../../jqwidgets/jqxlistbox.js" type="text/javascript"></script>
    <script src="../../jqwidgets/jqxdropdownlist.js" type="text/javascript"></script>
    <script src="../../jqwidgets/jqxmenu.js" type="text/javascript"></script>
    <script src="../../jqwidgets/jqxgrid.js" type="text/javascript"></script>
    <script src="../../jqwidgets/jqxgrid.filter.js" type="text/javascript"></script>
    <script src="../../jqwidgets/jqxgrid.sort.js" type="text/javascript"></script>
    <script src="../../jqwidgets/jqxgrid.selection.js" type="text/javascript"></script>
    <script src="../../jqwidgets/jqxpanel.js" type="text/javascript"></script>
    <script src="../../jqwidgets/jqxcalendar.js" type="text/javascript"></script>
    <script src="../../jqwidgets/jqxdatetimeinput.js" type="text/javascript"></script>
    <script src="../../jqwidgets/jqxcheckbox.js" type="text/javascript"></script>
    <script src="../../jqwidgets/globalization/globalize.js" type="text/javascript"></script>
<!--    <script src="../../scripts/demos.js" type="text/javascript"></script>-->
<!--    <script type="text/javascript" src="generatedata.js"></script>-->
    <script src="sources.js" type="text/javascript"></script>
    <script type="text/javascript">
        $(document).ready(
            function() {
                dataAdapter=generatedataForGrid();
                $("#docGrid").jqxGrid(
                    {
                        width: getWidth('Grid'),
                        source: dataAdapter,
                        showfilterrow: true,
                        filterable: true,
                        selectionmode: 'multiplecellsextended',
                        columns: [
                            { text: 'Name', columntype: 'textbox', filtertype: 'input', datafield: 'name', width: 215 },
                            // { text: 'id', columntype: 'textbox', filtertype: 'input', datafield: 'id', width: 215 },
                        ]
                    }
                );
                $('#clearfilteringbutton').jqxButton({ height: 25});
                $('#clearfilteringbutton').click(function () {
                    $("#docGrid").jqxGrid('clearfilters');
                }
                )
            }
        );
    </script>
</head>
<body class='default'>
<div id="docGrid">
</div>
<input id="clearfilteringbutton" style="margin-top: 10px;" type="button" value="Remove Filter" />
</body>
</html>